{%- assign socials = "Instagram Twitter Facebook Pinterest Tumblr Snapchat YouTube Vimeo" | split: ' ' -%}
<ul class="flex">
{%- for social in socials -%}
      {%- assign social_link = social | prepend: 'social_' | append: '_link' | downcase -%}
      {%- assign icon_link = social | prepend: 'icon-' | downcase -%}
    {%- if settings[social_link] != blank and social_link contains 'instagram' -%}
        <li>
            <a href="{{ settings[social_link] | escape }}" aria-describedby="a11y-external-message">
                <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M8.00016 1.44144C10.1364 1.44144 10.3892 1.44969 11.233 1.48812C12.0129 1.52369 12.4366 1.65389 12.7186 1.76345C13.066 1.89175 13.3804 2.09626 13.6386 2.36206C13.9044 2.62025 14.1089 2.93432 14.2372 3.28206C14.3467 3.56405 14.4769 3.98769 14.5125 4.76763C14.5509 5.61141 14.5592 5.86419 14.5592 8.00047C14.5592 10.1367 14.5509 10.3895 14.5125 11.2333C14.4769 12.0132 14.3464 12.4369 14.2372 12.7189C13.9679 13.4166 13.4166 13.9682 12.7189 14.2372C12.4369 14.3467 12.0133 14.4769 11.2333 14.5125C10.3899 14.5509 10.1368 14.5592 8.00048 14.5592C5.8642 14.5592 5.6111 14.5509 4.76764 14.5125C3.98769 14.4769 3.56406 14.3464 3.28206 14.2372C2.93464 14.1089 2.62025 13.9044 2.36207 13.6386C2.09626 13.3804 1.89175 13.0663 1.76377 12.7186C1.65421 12.4366 1.52401 12.0129 1.48844 11.233C1.45001 10.3895 1.44176 10.1364 1.44176 8.00015C1.44176 5.86388 1.45001 5.61109 1.48844 4.76732C1.52401 3.98737 1.65421 3.56374 1.76377 3.28174C1.89207 2.93432 2.09658 2.61993 2.36238 2.36175C2.62057 2.09594 2.93464 1.89143 3.28238 1.76345C3.56438 1.65389 3.98801 1.52369 4.76796 1.48812C5.6111 1.44969 5.86388 1.44144 8.00016 1.44144ZM8.00016 0C5.82736 0 5.55489 0.00920944 4.70159 0.0482702C3.85019 0.0870134 3.26872 0.222297 2.75998 0.420141C2.22615 0.620844 1.74249 0.93587 1.34299 1.34267C0.935871 1.74249 0.620844 2.22583 0.419824 2.75966C0.222297 3.26872 0.0870135 3.85018 0.0482703 4.7019C0.00920946 5.55488 0 5.82735 0 8.00015C0 10.1729 0.00920946 10.4454 0.0482703 11.2987C0.0870135 12.1501 0.222297 12.7316 0.420142 13.2406C0.621162 13.7745 0.935871 14.2581 1.34299 14.6576C1.74249 15.0647 2.22615 15.3795 2.75998 15.5805C3.26904 15.7783 3.85051 15.9136 4.7019 15.9523C5.55521 15.9914 5.82768 16.0006 8.00048 16.0006C10.1733 16.0006 10.4457 15.9914 11.2991 15.9523C12.1508 15.9136 12.7322 15.7783 13.241 15.5805C14.3156 15.1648 15.1651 14.3153 15.5808 13.2406C15.7787 12.7319 15.9139 12.1501 15.9527 11.2987C15.9917 10.4454 16.001 10.1729 16.001 8.00015C16.001 5.82735 15.9917 5.55488 15.9527 4.70158C15.9139 3.84987 15.7787 3.2684 15.5808 2.75966C15.3798 2.22583 15.0651 1.74217 14.658 1.34267C14.2585 0.935552 13.7748 0.620526 13.241 0.419824C12.7316 0.222297 12.1501 0.0870134 11.2987 0.0482702C10.4454 0.00920944 10.173 0 8.00016 0Z" fill="#FFE800"/>
                    <path d="M7.99997 3.89185C5.73095 3.89185 3.8916 5.7312 3.8916 8.00022C3.8916 10.2692 5.73095 12.1086 7.99997 12.1086C10.269 12.1086 12.108 10.2692 12.108 8.00022C12.1083 5.73088 10.269 3.89185 7.99997 3.89185ZM7.99997 10.6665C6.52709 10.6665 5.33336 9.47246 5.33336 7.9999C5.33336 6.52734 6.52741 5.33328 7.99997 5.33328C9.47285 5.33328 10.6666 6.52734 10.6666 7.9999C10.6666 9.47278 9.47285 10.6665 7.99997 10.6665Z" fill="#FFE800"/>
                    <path d="M12.2706 4.68954C12.8007 4.68954 13.2306 4.25973 13.2306 3.72954C13.2306 3.19934 12.8007 2.76953 12.2706 2.76953C11.7404 2.76953 11.3105 3.19934 11.3105 3.72954C11.3105 4.25973 11.7404 4.68954 12.2706 4.68954Z" fill="#FFE800"/>
                </svg>
            </a>
        </li>
    {%- endif -%}
    {%- if settings[social_link] != blank and social_link contains 'twitter' -%}
        <li>
            <a href="{{ settings[social_link] | escape }}" aria-describedby="a11y-external-message">
                <svg width="18" height="14" viewBox="0 0 18 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M18 1.65782C17.3365 1.93772 16.6279 2.13149 15.88 2.21223C16.6448 1.77624 17.2296 1.08189 17.5052 0.258362C16.791 0.662053 16.0037 0.958093 15.1603 1.11419C14.4855 0.430604 13.5239 0 12.4667 0C10.4255 0 8.77226 1.58247 8.77226 3.53095C8.77226 3.81084 8.806 4.07997 8.86785 4.33833C5.79756 4.193 3.08154 2.78278 1.25961 0.645905C0.939082 1.16801 0.759138 1.77624 0.759138 2.42215C0.759138 3.64937 1.41143 4.73126 2.40112 5.36101C1.79381 5.34487 1.22587 5.18877 0.731022 4.92503C0.731022 4.94118 0.731022 4.95194 0.731022 4.96809C0.731022 6.67974 2.00187 8.10611 3.69447 8.43445C3.37957 8.51519 3.05342 8.55825 2.71603 8.55825C2.47985 8.55825 2.2493 8.53672 2.01874 8.49366C2.4911 9.8985 3.85192 10.9212 5.46579 10.9481C4.20056 11.8954 2.60918 12.4606 0.882849 12.4606C0.584817 12.4606 0.292409 12.4444 0 12.4121C1.63636 13.4133 3.57638 14 5.65698 14C12.4499 14 16.1612 8.61745 16.1612 3.94541C16.1612 3.78931 16.1556 3.6386 16.15 3.48789C16.881 2.98731 17.5052 2.36294 18 1.65782Z" fill="#FFE800"/>
                </svg>
            </a>
        </li>
    {%- endif -%}
      {%- if settings[social_link] != blank and social_link contains 'facebook' -%}
          <li>
              <a href="{{ settings[social_link] | escape }}" aria-describedby="a11y-external-message">
                  <svg width="7" height="16" viewBox="0 0 7 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M4.67914 16H1.87166V8H0V5.245H1.87166L1.86698 3.62C1.86698 1.37 2.43783 0 4.91778 0H6.98128V2.76H5.68984C4.72594 2.76 4.67914 3.145 4.67914 3.86V5.24H7L6.72393 8H4.67914V16Z" fill="#FFE800"/>
                  </svg>
              </a>
          </li>
    {%- endif -%}

{%- endfor -%}
</ul>
